/*
    Copyright (C) 2000 - 2001 Kai Heitkamp, kai@kde.org

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

 */

#ifndef TRACKLIST_H
#define TRACKLIST_H

#include <qstring.h>
#include <qlist.h>
#include <qstringlist.h>
#include <stdio.h>

/**
  *@author Kai Heitkamp
  */

class TrackList {

public:
	TrackList();
	~TrackList();

	TrackList( const QString& Count, const QString& Name, int Size ) { c = Count; n = Name; s = Size; }

	QString Count()		const		{ return c; }
	QString Name()		const		{ return n; }
	int Size()								{ return s; }

private:
	QString c;
	QString n;
	int s;
};

#endif
